# bdm::eWishartCh Class Reference

`#include <exp_family.h>`

List of all members.

## Public Member Functions
void | set_parameters (const mat &Y0, const double delta0)
mat | sample_mat () const
vec | sample () const
| Returns a sample, from density .
void | setY (const mat &Ch0)
| fast access function y0 will be copied into Y.Ch.
void | _setY (const vec &ch0)
| fast access function y0 will be copied into Y.Ch.
const chmat & | getY () const
| access function
void | from_setting (const Setting &set)
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Constructors
Construction of each epdf should support two types of constructors: empty constructor, copy constructor, The following constructors should be supported for convenience: constructor followed by calling `set_parameters()` constructor accepting random variables calling `set_rv()` All internal data structures are constructed as empty. Their values (including sizes) will be set by method `set_parameters()`. This way references can be initialized in constructors.
void | set_parameters (int dim0)
Matematical Operations
virtual mat | sample_m (int N) const
| Returns N samples, from density .
virtual double | evallog (const vec &val) const
virtual vec | evallog_m (const mat &Val) const
| Compute log-probability of multiple values argument `val`.
virtual vec | evallog_m (const Array< vec > &Avec) const
| Compute log-probability of multiple values argument `val`.
virtual mpdf * | condition (const RV &rv) const
| Return conditional density on the given RV, the remaining rvs will be in conditioning.
virtual epdf * | marginal (const RV &rv) const
| Return marginal density on the given RV, the remainig rvs are intergrated out.
virtual vec | mean () const
| return expected value
virtual vec | variance () const
| return expected variance (not covariance!)
virtual void | qbounds (vec &lb, vec &ub, double percentage=0.95) const
| Lower and upper bounds of `percentage` % quantile, returns mean-2*sigma as default.
Connection to other classes
Description of the random quantity via attribute `rv` is optional. For operations such as sampling `rv` does not need to be set. However, for `marginalization` and `conditioning` `rv` has to be set. NB:
void | set_rv (const RV &rv0)
| Name its rv.
bool | isnamed () const
| True if rv is assigned.
const RV & | _rv () const
| Return name (fails when isnamed is false).
Access to attributes
int | dimension () const
| Size of the random variable.
## Protected Attributes
chmat | Y
| Upper-Triagle of Choleski decomposition of .
int | p
| dimension of matrix
double | delta
| degrees of freedom
int | dim
| dimension of the random variable
RV | rv
| Description of the random variable.

## Detailed Description

inverse Wishart density defined on Choleski decomposition

## Member Function Documentation

virtual double bdm::epdf::evallog | ( | const vec & | val | ) | const`[inline, virtual, inherited]`

Compute log-probability of argument `val` In case the argument is out of suport return -Infinity

Reimplemented in bdm::emix, bdm::eprod, bdm::eEF, bdm::egamma, bdm::euni, and bdm::eEmp.

Referenced by bdm::MPF< BM_T >::bayes(), bdm::PF::bayes(), bdm::epdf::evallog_m(), and bdm::mratio::evallogcond().

void bdm::epdf::from_setting | ( | const Setting & | set | ) | `[inline, virtual, inherited]`

Load from structure with elements:

     { rv = {class="RV", names=(...),}; // RV describing meaning of random variable
       // elements of offsprings
     }

Reimplemented from bdm::root.

Reimplemented in bdm::enorm< sq_T >, bdm::egiw, bdm::egamma, bdm::euni, bdm::merger_base, bdm::enorm< ldmat >, bdm::enorm< chmat >, and bdm::enorm< fsqmat >.

References bdm::epdf::set_rv().

The documentation for this class was generated from the following file:

- exp_family.h